Skip to main content
Windward

Differing versions of AutoTag and the Engine

Overview

How using different versions of AutoTag and the Engine works.

Resolution

The version of your Engine must be equal to or greater (newer) than the version of AutoTag you are using.

 

Reason for this is that newer versions of AutoTag use newer features that older versions of the Engine don't recognize.

 

Further Explanation:

The best practice is to keep your version of AutoTag below or equal to the version of the engine. The problem with using a new version of AutoTag and an older version of the engine is that you could possibly create features that the engine is not aware of in your template.  It will run fine in AutoTag but when the engine encounters are new or altered feature, it will not be able to process it or it will process it differently than expected.

 

Examples

Best Method - Engine and AutoTag are the same version

AutoTag         10.1.24.0

Engine           10.1.24.0

 

OK - Engine has a greater version than AutoTag
AutoTag         10.1.21.0

Engine           10.1.24.0

 

NOT OK - Engine version is less than AutoTag version

AutoTag         10.1.24.0

Engine           10.1.21.0